Topic locked

Known issue after importing Vuforia samples on 2018.1 & 2018.2

July 18, 2018 - 3:59pm #1

Hello,

Recently, Vuforia released 7.2 SDK with updated samples to the Unity Asset Store. These samples are not compatible with the 7.1 SDK, which is already packaged with most (if not all) of the current versions of the 2018.1 and 2018.2 Unity Editor.

The most common Vuforia error message observed is the following: "The type or namespace name `FusionProviderType' could not be found. Are you missing an assembly reference?"

This is a known issue that can be resolved by upgrading your Vuforia installation to 7.2 SDK. The simplest steps for doing this in the Unity Editor: Window->Vuforia Configuration->Download Vuforia 7.2.X

A zip file will be downloaded via web browser to your machine. Run the executable in the zip and follow the prompts. Set the "Destination Folder" to where the version of the Unity Editor you are upgrading is installed on your machine. In my case, this is C:\Program Files\Unity_2018.1.8f1. Be sure to close the Unity Editor before installation.

The installer will automatically update the Vuforia SDK. Reopen the project and note that the error message is now gone.

We are actively looking into ways to avoid these types of issues, and make development with Vuforia as simple as possible.

Thanks,

Vuforia Engine Support

Topic locked